#ifndef __INTERFACES_VIRTUALTIMERINTERFACE_H__
#define __INTERFACES_VIRTUALTIMERINTERFACE_H__

#include <cstdint>

namespace pinetime::interfaces
{

class VirtualTimerInterface
{
public:
    virtual void timer_notification(uint64_t) = 0;
    virtual void timer_enable() = 0;
    virtual void timer_disable() = 0;
};

}

#endif
